uab.modules.uabStatus_LowHealth = uabUnitStatus:NewModule("Low Health")
uab.modules.uabStatus_LowHealth.defaultDB = {
    disabled = nil,
    threshold = 0.40,
    priority = 50,
    color = { r = 0,    g = 1,    b = 1, a = 1, }
}

function uab.modules.uabStatus_LowHealth:OnInitialize()
    self.super.OnInitialize(self)

	self:RegisterUnitStatus(self.name)
end

function uab.modules.uabStatus_LowHealth:OnEnable()
end

function uab.modules.uabStatus_LowHealth:OnDisable()
end

function uab.modules.uabStatus_LowHealth:IsStatusGained(name, unit, action)
	if name == self.name then
	    if not unit then return end
	    local curhealth = UnitHealth(unit)
	    local maxhealth = UnitHealthMax(unit)

	    return curhealth and maxhealth and curhealth < (maxhealth * self.db.profile.threshold)
	end
end

function uab.modules.uabStatus_LowHealth:CreateUnitStatusOptions()
    local option = self:CreateUnitStatusOption(self.db.profile, "Low Health", "Low Health")

    option.args["threshold"] = {
        type = 'range',
        name = "Threshold",
        desc = "Low health threshold",
        order = 40,
        min = 0.05,
        max = 1.00,
        step = 0.05,
        isPercent = true,
        get = function()
            return self.db.profile.threshold
        end,
        set = function(value)
            self.db.profile.threshold = value
        end,
    }
    
    return option
end
